Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface ProbabilityDistributionC

All Known Subinterfaces:
  BernoulliDistC, BinomialDistC, BooleanDistributionC, DoubleDistributionC, ExponentialDistC, GammaDistC, IntegerDistributionC, LogNormalDistC, NormalC, NormalDistC, PoissonDistC, RandomBitDistC, UniformDoubleDistC, UniformIntegerDistC, UniformUnsignedDistC, UnsignedDistributionC

public interface ProbabilityDistributionC
extends SwarmObjectC, SwarmObjectS, InternalStateC, InternalStateS

Probability Distribution. A process for generating a sequence of random numbers matching the frequencies defined by a specific distribution function. The process is driven by input from a supplied uniform random generator.

Method Summary
`java.lang.Object` | `create$setGenerator(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`java.lang.Object` | `createWithDefaults(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### createWithDefaults

    public java.lang.Object createWithDefaults(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

### create$setGenerator

    public java.lang.Object create$setGenerator(Zone aZone,
                                                SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### create$setGenerator$setVirtualGenerator

    public java.lang.Object create$setGenerator$setVirtualGenerator(Zone aZone,
                                                                    SplitRandomGenerator splitGenerator,
                                                                    int vGen)

  Use this create message if the generator to be attached is a Split one:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD